## de-lite 1.0.1

=== Makefile ===
all:
	gcc -g -Wall `sdl-config --cflags` `sdl-config --libs` -L /usr/include/SDL -lSDL_image delite.c -o de-lite

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp de-lite $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/opt/de-lite
	cp game.png $(DESTDIR)/opt/de-lite
	mkdir -p $(DESTDIR)/usr/share/applications/hildon
	cp de-lite.desktop $(DESTDIR)/usr/share/applications/hildon
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	cp de-lite.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	

clean:
	-rm de-lite

## de-lite 1.0.0-1

=== debian/changelog ===
de-lite (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jamie Fuller <me@jamiefuller.com>  Mon,  8 Feb 2010 22:02:15 +0000

=== debian/control ===
Source: de-lite
Section: user/games
Priority: extra
Maintainer: Jamie Fuller <me@jamiefuller.com>
Build-Depends: debhelper (>= 5),  libsdl-image1.2-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: de-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: De-Lite, A game by jamie Fuller
 A simple lights out clone,
 Simply switch off all the lights in the minimum amount of moves.
 But beware, switching one light will affect the lights adjacent to it.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oCCBUnLtz7MFcAAA4O
 SURBVFjDhVhrjF3XVV5r7332edxzn547D49nxp547NhO/IjthDbBbh1DFVQV
 tVIBKY2g/AgSEqikAvEXBBLwDwQiUSUkhFSFRCFNQIhSkWDVDYU6DzsT17En
 45nxjD2e99x7z3M/Fj/u2HXuuVGPRvNnzd7rm73X+ta3P/z2C99GREDo/QiI
 CACQYTEEAESEiADQu3ZnISEX0O8jYwAAOe8XA3Hn7p00TXsRIWilfd8HgFzl
 RbzGmCAIlFLW2p6QJcsA3Vp97chpYgwRJDIGkBMZIgNYvfa+y3D94AkgyxEd
 RADIiYhIayNOnjj50ndedBz5aTygtX7++d+Zm5v7zx98nxf+11qt9tw3nnvz
 zTfmFxYKWPXJY8ef/PJX/zCYQIBhT4750mVsJVcLcb6Wqd+vhbuHhv+YNasM
 xnx3xHUQYDHNlxKVpokYHx9njDnS6T08hL0Te+M45kI4Tm/U9/3JfZOlUlhc
 iBrrjcbefXvNYj7kisfL8nStVOL8epRetHq9nQ03m2NjYzC7PVb2nqp6R8s+
 EVxuxxe1+qSVCSFEEJS6t/Pgl+c5Y0xKWQpKRUCe53HOPc8L/GCnku59Sivp
 SMYYIgy6zpGyf3ZXue6IquCLSX6FI2PIGOMMR315vOKfG6hYAkS4GWfzDAXn
 PAgC13V79uWcM8Ycx/F9vw8g10NEz/N83+9ZKLSQ0gFAJEAEhsiROQyQAX66
 ARgAA+SIDAkREBABfgaoJ6UQAhEdxwmCQAhRPCFEdD03CIKekKOdbkVagJVM
 /bSThIKFjF+P0vkkjy3tlJqlpVR92I4RgQimW8lSmisCAQiBH7heL6Asy6y1
 gou+gKSU1lpX9gGkteacW2uN494lvNjRSzZ1GVvO1VwOxKUlsETguDc1mra6
 rhIAuJWqBcO0kKJWrS3dWSpemTGm2WyurK4s3V4qXtnQ4NDw0HAn6izdXupZ
 qLV+5PCRvYF8+J/+PNcWAZYREMEQNAnCJB7/zW9M6njiO3/mSdcCLDEgALIw
 CsCsxncuvrOyuqKN7knJkA0NDWml1jc2LPWSjSvd5sDAdqvV6bSpQG7lcrlW
 ra6trKRZ2ktwhI1m05Py7t1lrXuTcsbxm7/1zTAMexkTwRobRZFwhO/5RUbV
 Wsdx5JfLQroAQPdAdQ8ri+M8ScJyyJAV+T+OYiJbqjUAf7YQEBDAWhJCOtMf
 TRenh9FmamoqSZLZ2dniYBFc7Dt0+KNHPrflVwAoENxFTC3FxlqA3UufTN26
 dv3jj40xxW3H9uyRU0feOnCSWSMZCxgDgMhYRWS1FidPPPb2f/+XK90HWxIB
 lFbPPvvszMzMpXd/IoT4dMNSo15/6uwX/6c0PqNoj+9OhF7NEeu5Wu9k81G6
 by+e2Tv0ox9eMMb0bJukyfkvfqF+7pf+YUsMOOxA2dvjSUCci7OFTtaOOqI5
 2JSO63pebw1pPtgcXFtbk67bh6mDYGhoiKeiRvZE1T+zqzLqOfNx7rHWRpb5
 vj9cCVzXM9b0DhayuxoD9YEB2NyYCLynGuWT1cASvLsdZdZejUBwxkulklcA
 lOd5l4f6M7Xrda+/6vAJ3z1RCaZCtybSm3FaEQIMAGIQBMXRi4CMMQASDIdc
 cbDk/kK9RAAdY6ZbyQ38ecQopfxsYgQAUESptS1tNpVpGZNY0kQAxBgGQWCM
 KTYE5xwALEFuKTK0qQwARdpmliyBYJz5vt8HEBeIKITwfb8PINfrFsdGrq+2
 04C3rrad21l+rZ1uKg2A3cHS/4Q4AwBLNJ/kl7Y7kdFA+FEnWUgyAyQYMtd1
 ewDdbzrBheu6RUDCEUAWrY2V/WCrs5apMmfbxizFKlUG0SAIV7o9BIaI1lpE
 BGPB2NtR/kPbutFOiWg516upImPFwMAAERWrjzM+MjzS7rSttcWo63njuxpn
 X3ttcPYmdTUkUkC4G8Eac+r0qZEjv4wcTW6KPDQwODRG6dOv/51wnO5CAKwS
 PIzAyOIrL/9zJ4qMNQ8SEQExZGEYWmPiKCKiYoUFYZgncZamxSpxPd/1/TiK
 lMoLCheCMBScx512DykAEGNc/Mv3Xm80GgS9KY02W5ubbhiWBppEQAAIO78B
 IE/Tzp2l8tCwE5QAeqPx5ma2vVkbm0DB729872+wdXuRjG40GkW+NdqI3bt3
 X7hwgTFWVM1nzz198/gv/kdjjFtblSJkLCfaVFpbKrc3f3X+g7emTt92Q4ZQ
 l46PGFm7pYwmOLJ47XSy8d0DnzMEkmNNCAexZUxb2QzgmWvvjC7PvfX228Wk
 RCSOHj365r++UeQhpdSJxx6LxifXNrL9gftINdjtOR1tr7aTn7YSl/MnTp36
 gam0cjsVBo+W/YYUK1k+3Uo/bsfVRuPxPQf+Zg18zh4Kg0Nlz+d8IUmvbKfL
 reihycnDI43X33i9mNRaK6qVquf7RQkrlKqUy67nlbk6XPGeHqgcLntrmSlx
 tqm0Snm5WmYtMYB0ouqfb1bHPDkbZRy376aZJLdcqbD1zqgvn6iXzg6UK1xc
 acW5hcUoLvlBxbG+H3h+AZCxgjFWCvoxNc+7Z+hx1pTO3sB9tBLcTvNrkVPh
 fAOIrAWgEufDrrM/8A6GLiJcaTklzgGIiBChIvhuz3k49Accvq31gBQuY2SJ
 MRYEQTGpMaY/U3cpsau8MktbytxO1fUoXcv0Wq4jY6lbkASxNetKL6Q5Ii0m
 +YY2yT0ytAQdY1ZzMxtnG4LfSdWWMspSl6xLpZKUsiepMUYgw75MzRnvNk1H
 m2ud1OetmShta/NhO1nO8to92t1Q6korQcBdjribq+lWsqX0vZ6DO6m6tB0l
 1gSMzyfZ9SjNjO2+hj3PKyY12ghHOF0V3NOEyihHCL+zzRZuLjo8lqIseG5p
 PddaG5dyb+Kgt3aHNtsznG1J4XMWGbuea8iUW3M8GHGXbmaE0w5blkIgtrTZ
 zA3GifvQLsdz+yY1xoiR4eFTp04VOxAA9owMn1tZhY1riOw+USEAAjYq5bHq
 6eeSK3NrSwSwEyVARLL2+ODBiUB+qzWbZNk9K2DnRI1WJ6rnhprN06dP94jx
 rm7Gv/qLv1R5XuRiRHCkS0Ra62KUMSYcxyhljb6f8v72TDhcCN3v5Q8AjuMg
 Y0qpfklR/N/lD4L9D3fFLQO8/+9qY5PLlz0pg1JQ3DRLsziKvIlJEZbvH5uF
 nbGWLi6Y9ZVarVZ0Tqy17VYbAKrVapGptdJi4iu//rfNh32yDSl2OYKAVjK9
 rU2eq28NNtenP3jnx/9bvNByGD7za7/x8sEn57nnczboOiXO2tquZCo29PjK
 zJeWr7/68ne10kXdd/78+Waz+corr/CCI0NE7OCBg1kn2oXm8dB5puF/qR6c
 LIkymTTqHDkwtXt0VFtNaAnpgR8rXefY0WNcOKjyKZedq7pfbgRfqMqHJNos
 qYfh8aNHrTWFhaSNmpycPHL4SK7zYtSCFY6UnCeTgfv5evj5RqgslQVbyfXd
 bXBd1/f9vhLW9wPXdVmKA1IcLfvnm9W9vrwRZbmlhSjlwD1PBEGpr0DzXM/3
 /SAIig8sY4wAII5QErzuiFFPKmtrDg8Y796+/GyzYUdpMFZxeFM6Y77c1Cbk
 3GUMgBCZ7/tFQATEOOuOhz48ZIwAgNzQaqZm4+zSVqQtzcX5mlKGAACce5r6
 wRYlovtjqKX1UqqutpNtpeeS/HamOsYQIUPW1dQ9vY2InPHueJBSFt/vggiA
 i5nMyu3kZm4swUycLeRWM0GUCcH7inxXukREjG9YereTJ9ipO2It11cjtWkR
 GBKQ53nFxr6vj/uOB621aOZR8P1XrZQznN0WjIgiQ8xSPUvqX/+VDWSra6vF
 KwOgehAMXLi4uLi8wfB9ziTDzFKsbahU48BEdez0xuZG8dURx7GUMiyFq2ur
 feUHfjT90buXL5vCZTPEk8eOddrt6zM3iKiHM0pB6egjj964eXN1fa1wCjQ6
 PLJvYuK9999L00+bDQREdOjQoWq5cum9d3sf2gSccXzhD17oOzcIgKxFxCLB
 //woEREh62s370T7JgUAsRjFnQNHuw6tQASCLqVrY8rTl2hwOBmZACKBKBAt
 gSILALbTrtz4EIwpinEiIkvCEdbYIh5rbFfbFH2InWl/6Ctf/1NnpIo0Gsgh
 6RDAUpovpypJsz8ZrE2P7H8DqzWB44G7y+GJsbcStZapRrT1R2OD//7aqwu3
 bvVsq405cfzEmTNnXnzpRa11TzTNsq999WsjwyMvvvT3wnGw1+MmMT42RnPt
 sYr3ZMU7Enqa4HILf6TyT9Jk3/j4Utjgq/GBUvBk1ZsM3C1lfrIV/ThLOdmp
 fZOlUkk4ougnNxqNqf1TRXUBAEyrPaN7xsfHgWHPWuxqasaYYDjmy5PV4Ewj
 VAQMYC7O5hkwxpBhKNhDJe+JeulktbScqdia2ShtRcCE8D2/FJSKrSulFEL0
 NRsYMiFE18PoI2GtEV1o3RLxOOfWcgb8Xq1iVxIgOMg8ziRDAcgQu6GuLdwH
 kCPvE2Nfs+GzHI4dplaWllI13U4QwVi62k7vpEpT15/DSJv5JH+/FbeN2cr1
 9ShbzRUn7NrCRZ9aa+04TlcZ95lliIwzxtlnArIE4HgzCk07/1iBJZhP1IJl
 RrjWdCyyhLsfZhC3ssHExtbOxmaVxJAQ1qquLVwExAUnIt/ziz2IsMMFfb1o
 pZTYl23v/ce/9qWrEG4hEgAQjQFYlY3+3u9OzV7e/71/cxzRAUwYEIFHtI9g
 T6088vxvx2mysrpSvLJHH3m02Wyub64rpXqiSZqE5bBer99dvVs8IQD4f/Pb
 jE/DrJBfAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	dh_installdirs
	##gcc -g -Wall `sdl-config --cflags` `sdl-config --libs` -L /usr/include/SDL -lSDL_image delite.c -o de-lite
	$(MAKE)
	#docbook-to-man debian/de-lite.sgml > de-lite.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# Add here commands to install the package into debian/de-lite.
	$(MAKE) DESTDIR=$(CURDIR)/debian/de-lite install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
